org.apache.xerces.impl

## Class XML11EntityScanner

- java.lang.Object
- - org.apache.xerces.impl.XMLEntityScanner
  - - org.apache.xerces.impl.XML11EntityScanner

- All Implemented Interfaces:
    org.apache.xerces.xni.XMLLocator

      public class XML11EntityScanner
      extends XMLEntityScanner

  Implements the entity scanner methods in the context of XML 1.1.
  Version:
    $Id: XML11EntityScanner.java 1897160 2022-01-17 20:50:35Z mrglavas $
  Author:
    Michael Glavassevich, IBM, Neil Graham, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.impl.XMLEntityScanner

      `fBufferSize, fCurrentEntity, fErrorReporter, fSymbolTable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XML11EntityScanner()` Default constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `peekChar()` Returns the next character on the input.
    `int` | `scanChar()` Returns the next character on the input.
    `int` | `scanContent(org.apache.xerces.xni.XMLString content)` Scans a range of parsed character data, setting the fields of the XMLString structure, appropriately.
    `boolean` | `scanData(java.lang.String delimiter, XMLStringBuffer buffer)` Scans a range of character data up to the specicied delimiter, setting the fields of the XMLString structure, appropriately.
    `int` | `scanLiteral(int quote, org.apache.xerces.xni.XMLString content)` Scans a range of attribute value data, setting the fields of the XMLString structure, appropriately.
    `java.lang.String` | `scanName()` Returns a string matching the Name production appearing immediately on the input as a symbol, or null if no Name string is present.
    `java.lang.String` | `scanNCName()` Returns a string matching the NCName production appearing immediately on the input as a symbol, or null if no NCName string is present.
    `java.lang.String` | `scanNmtoken()` Returns a string matching the NMTOKEN production appearing immediately on the input as a symbol, or null if NMTOKEN Name string is present.
    `boolean` | `scanQName(org.apache.xerces.xni.QName qname)` Scans a qualified name from the input, setting the fields of the QName structure appropriately.
    `boolean` | `skipChar(int c)` Skips a character appearing immediately on the input.
    `boolean` | `skipSpaces()` Skips space characters appearing immediately on the input.
    `boolean` | `skipString(java.lang.String s)` Skips the specified string appearing immediately on the input.

    - ### Methods inherited from class org.apache.xerces.impl.XMLEntityScanner

      `getBaseSystemId, getCharacterOffset, getColumnNumber, getEncoding, getExpandedSystemId, getLineNumber, getLiteralSystemId, getPublicId, getXMLVersion, isExternal, reset, setBufferSize, setCurrentEntity, setEncoding, setXMLVersion, skipDeclSpaces`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XML11EntityScanner

          public XML11EntityScanner()

      Default constructor.

  - ### Method Detail

    - #### peekChar

          public int peekChar()
                       throws java.io.IOException

      Returns the next character on the input.

      Note: The character is not consumed.

      Overrides:
        `peekChar` in class `XMLEntityScanner`
      Throws:
        `java.io.IOException` - Thrown if i/o error occurs.
        `java.io.EOFException` - Thrown on end of file.

    - #### scanChar

          public int scanChar()
                       throws java.io.IOException

      Returns the next character on the input.

      Note: The character is consumed.

      Overrides:
        `scanChar` in class `XMLEntityScanner`
      Throws:
        `java.io.IOException` - Thrown if i/o error occurs.
        `java.io.EOFException` - Thrown on end of file.

    - #### scanNmtoken

          public java.lang.String scanNmtoken()
                                       throws java.io.IOException

      Returns a string matching the NMTOKEN production appearing immediately on the input as a symbol, or null if NMTOKEN Name string is present.

      Note: The NMTOKEN characters are consumed.

      Note: The string returned must be a symbol. The SymbolTable can be used for this purpose.

      Overrides:
        `scanNmtoken` in class `XMLEntityScanner`
      Throws:
        `java.io.IOException` - Thrown if i/o error occurs.
        `java.io.EOFException` - Thrown on end of file.
      See Also:
        `SymbolTable`, `XML11Char.isXML11Name(int)`

    - #### scanName

          public java.lang.String scanName()
                                    throws java.io.IOException

      Returns a string matching the Name production appearing immediately on the input as a symbol, or null if no Name string is present.

      Note: The Name characters are consumed.

      Note: The string returned must be a symbol. The SymbolTable can be used for this purpose.

      Overrides:
        `scanName` in class `XMLEntityScanner`
      Throws:
        `java.io.IOException` - Thrown if i/o error occurs.
        `java.io.EOFException` - Thrown on end of file.
      See Also:
        `SymbolTable`, `XML11Char.isXML11Name(int)`, `XML11Char.isXML11NameStart(int)`

    - #### scanNCName

          public java.lang.String scanNCName()
                                      throws java.io.IOException

      Returns a string matching the NCName production appearing immediately on the input as a symbol, or null if no NCName string is present.

      Note: The NCName characters are consumed.

      Note: The string returned must be a symbol. The SymbolTable can be used for this purpose.

      Overrides:
        `scanNCName` in class `XMLEntityScanner`
      Throws:
        `java.io.IOException` - Thrown if i/o error occurs.
        `java.io.EOFException` - Thrown on end of file.
      See Also:
        `SymbolTable`, `XML11Char.isXML11NCName(int)`, `XML11Char.isXML11NCNameStart(int)`

    - #### scanQName

          public boolean scanQName(org.apache.xerces.xni.QName qname)
                            throws java.io.IOException

      Scans a qualified name from the input, setting the fields of the QName structure appropriately.

      Note: The qualified name characters are consumed.

      Note: The strings used to set the values of the QName structure must be symbols. The SymbolTable can be used for this purpose.

      Overrides:
        `scanQName` in class `XMLEntityScanner`
      Parameters:
        `qname` - The qualified name structure to fill.
      Returns:
        Returns true if a qualified name appeared immediately on the input and was scanned, false otherwise.
      Throws:
        `java.io.IOException` - Thrown if i/o error occurs.
        `java.io.EOFException` - Thrown on end of file.
      See Also:
        `SymbolTable`, `XML11Char.isXML11Name(int)`, `XML11Char.isXML11NameStart(int)`

    - #### scanContent

          public int scanContent(org.apache.xerces.xni.XMLString content)
                          throws java.io.IOException

      Scans a range of parsed character data, setting the fields of the XMLString structure, appropriately.

      Note: The characters are consumed.

      Note: This method does not guarantee to return the longest run of parsed character data. This method may return before markup due to reaching the end of the input buffer or any other reason.

      Note: The fields contained in the XMLString structure are not guaranteed to remain valid upon subsequent calls to the entity scanner. Therefore, the caller is responsible for immediately using the returned character data or making a copy of the character data.

      Overrides:
        `scanContent` in class `XMLEntityScanner`
      Parameters:
        `content` - The content structure to fill.
      Returns:
        Returns the next character on the input, if known. This value may be -1 but this does note designate end of file.
      Throws:
        `java.io.IOException` - Thrown if i/o error occurs.
        `java.io.EOFException` - Thrown on end of file.

    - #### scanLiteral

          public int scanLiteral(int quote,
                        org.apache.xerces.xni.XMLString content)
                          throws java.io.IOException

      Scans a range of attribute value data, setting the fields of the XMLString structure, appropriately.

      Note: The characters are consumed.

      Note: This method does not guarantee to return the longest run of attribute value data. This method may return before the quote character due to reaching the end of the input buffer or any other reason.

      Note: The fields contained in the XMLString structure are not guaranteed to remain valid upon subsequent calls to the entity scanner. Therefore, the caller is responsible for immediately using the returned character data or making a copy of the character data.

      Overrides:
        `scanLiteral` in class `XMLEntityScanner`
      Parameters:
        `quote` - The quote character that signifies the end of the attribute value data.
        `content` - The content structure to fill.
      Returns:
        Returns the next character on the input, if known. This value may be -1 but this does note designate end of file.
      Throws:
        `java.io.IOException` - Thrown if i/o error occurs.
        `java.io.EOFException` - Thrown on end of file.

    - #### scanData

          public boolean scanData(java.lang.String delimiter,
                         XMLStringBuffer buffer)
                           throws java.io.IOException

      Scans a range of character data up to the specicied delimiter, setting the fields of the XMLString structure, appropriately.

      Note: The characters are consumed.

      Note: This assumes that the internal buffer is at least the same size, or bigger, than the length of the delimiter and that the delimiter contains at least one character.

      Note: This method does not guarantee to return the longest run of character data. This method may return before the delimiter due to reaching the end of the input buffer or any other reason.

      Note: The fields contained in the XMLString structure are not guaranteed to remain valid upon subsequent calls to the entity scanner. Therefore, the caller is responsible for immediately using the returned character data or making a copy of the character data.

      Overrides:
        `scanData` in class `XMLEntityScanner`
      Parameters:
        `delimiter` - The string that signifies the end of the character data to be scanned.
        `buffer` - The XMLStringBuffer to fill.
      Returns:
        Returns true if there is more data to scan, false otherwise.
      Throws:
        `java.io.IOException` - Thrown if i/o error occurs.
        `java.io.EOFException` - Thrown on end of file.

    - #### skipChar

          public boolean skipChar(int c)
                           throws java.io.IOException

      Skips a character appearing immediately on the input.

      Note: The character is consumed only if it matches the specified character.

      Overrides:
        `skipChar` in class `XMLEntityScanner`
      Parameters:
        `c` - The character to skip.
      Returns:
        Returns true if the character was skipped.
      Throws:
        `java.io.IOException` - Thrown if i/o error occurs.
        `java.io.EOFException` - Thrown on end of file.

    - #### skipSpaces

          public boolean skipSpaces()
                             throws java.io.IOException

      Skips space characters appearing immediately on the input.

      Note: The characters are consumed only if they are space characters.

      Overrides:
        `skipSpaces` in class `XMLEntityScanner`
      Returns:
        Returns true if at least one space character was skipped.
      Throws:
        `java.io.IOException` - Thrown if i/o error occurs.
        `java.io.EOFException` - Thrown on end of file.
      See Also:
        `XMLChar.isSpace(int)`, `XML11Char.isXML11Space(int)`

    - #### skipString

          public boolean skipString(java.lang.String s)
                             throws java.io.IOException

      Skips the specified string appearing immediately on the input.

      Note: The characters are consumed only if they are space characters.

      Overrides:
        `skipString` in class `XMLEntityScanner`
      Parameters:
        `s` - The string to skip.
      Returns:
        Returns true if the string was skipped.
      Throws:
        `java.io.IOException` - Thrown if i/o error occurs.
        `java.io.EOFException` - Thrown on end of file.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.